/* Homepage specific styling goes here. Excluded on all subpages */
/* For most builds, this stylesheet should be wiped and started fresh */

/* PRELOADER */
.preloader-outer {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 9;
    width: 100%;
    height: 100vh;
    background-color: var(--color-white);
    transition: opacity 600ms ease-out;
}

.preloader-outer.active {
    visibility: visible !important;
}

.preloader-outer.preloader-remove {
    opacity: 0;
    pointer-events: none;
}

.preloader-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.preloader-inner p {
    margin-bottom: 15px;
}

.preloader-inner p:last-of-type {
    margin: 0;
}

.preloader-part {
    margin: 20px;
    display: none;
}

.preloader-part-left.active {
    display: block;
    -webkit-animation: fadeinright 800ms ease-out;
    animation: fadeInRight 800ms ease-out;
}

.preloader-part-right.active {
    display: block;
    -webkit-animation: fadeinleft 500ms ease-out;
    animation: fadeInLeft 500ms ease-out;
}

/* HERO */
.home-hero {
    padding-bottom: 52px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    position: relative;
    height: 100vh;
    min-height: 390px;
    max-height: 590px;
    text-align: center;
}

.home-hero:before {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0) 74.63%, rgba(0, 0, 0, 0.6) 100%), linear-gradient(180deg, rgba(2, 44, 15, 0) 38.93%, rgba(2, 44, 15, 0.9) 84.43%);
    pointer-events: none;
    transform: matrix(-1, 0, 0, 1, 0, 0);
    content: '';
}

.home-hero-text {
    position: relative;
    z-index: 2;
    color: var(--color-white);
}

.home-hero-title {
    margin-bottom: 0;
    font-size: 5rem;
    font-weight: 200;
    color: inherit;
    line-height: 1.1;
    letter-spacing: -0.219rem;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.home-hero-title > span {
    display: inline-block;
    animation-delay: 1500ms;
}

.home-hero-title strong {
    padding-bottom: 16px;
    position: relative;
    font-size: 1.125rem;
    font-weight: 500;
    font-family: var(--font-family-heading);
    display: inline-flex;
    text-transform: uppercase;
    letter-spacing: 0.175rem;
    overflow: hidden;
}

.home-hero-title strong span {
    display: inline-block;
    animation-delay: 1000ms;
}

.home-hero-title strong:after {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 4px;
    background-color: var(--color-secondary);
    clip-path: inset(0 100% 0 0);
    content: '';
    pointer-events: none;
    animation: reveal-left 1.5s 2s ease-out forwards;
}

.home-hero-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.home-hero-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media screen and (min-width: 1025px) {
    .home-hero {
        padding-bottom: 78px;
        min-height: unset;
        max-height: unset;
    }

    .home-hero-title {
        font-size: 7.188rem;
    }

    .home-hero-title strong {
        padding-bottom: 30px;
        font-size: 1.875rem;
        letter-spacing: 0.75rem;
    }
}

@media screen and (min-width: 1440px) {
    .home-hero {
        padding-bottom: 168px;
    }

    .home-hero-title {
        font-size: 8.75rem;
    }

    .home-hero-title strong {
        margin-bottom: 12px;
        padding-bottom: 31px;
    }

    .home-hero-title strong:after {
        height: 6px;
    }
}
